Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.handler.codec.frame
Class TooLongFrameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.netty.handler.codec.frame.TooLongFrameException

All Implemented Interfaces:
  Serializable

    public class TooLongFrameException

extends Exception

An `Exception` which is thrown when the length of the frame decoded by `DelimiterBasedFrameDecoder` is greater than the maximum.

Version:
  $Rev:231 $, $Date:2008-06-12 16:44:50 +0900 (목, 12 6월 2008) $
Author:
  The Netty Project, Trustin Lee
See Also:
  Serialized Form

Constructor Summary
`TooLongFrameException()` Creates a new instance.
`TooLongFrameException(String message)` Creates a new instance.
`TooLongFrameException(String message, Throwable cause)` Creates a new instance.
`TooLongFrameException(Throwable cause)` Creates a new instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TooLongFrameException

    public TooLongFrameException()

  Creates a new instance.

### TooLongFrameException

    public TooLongFrameException(String message,
                                 Throwable cause)

  Creates a new instance.

### TooLongFrameException

    public TooLongFrameException(String message)

  Creates a new instance.

### TooLongFrameException

    public TooLongFrameException(Throwable cause)

  Creates a new instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.